package atomfeed

import (
	"encoding/xml"
	"errors"
)

type XHTMLDiv struct {
	XMLName xml.Name `xml:"div"`
	XMLNS   string   `xml:"xmlns,attr"`
	Content string   `xml:",innerxml"`
}

type XHTMLText struct {
	*CommonAttributes
	Type     string `xml:"type,attr"` // Must be xhtml
	XHTMLDiv XHTMLDiv
}

func (x *XHTMLText) IsText() bool { return true }

func (x *XHTMLText) Check() error {
	if x.Type != "xhtml" {
		return errors.New("type attribute of xhtml text must be xhtml")
	}

	if x.XHTMLDiv.XMLNS != "http://www.w3.org/1999/xhtml" {
		return errors.New("xmlns attribute of xhtml text must be http://www.w3.org/1999/xhtml")
	}

	return nil
}
